POST
/
api
/
v1
/
loans
/
{loan_ref}
/
collateral-agreements
Create collateral agreement
curl --request POST \
  --url http://34.170.194.254:8000/api/v1/loans/{loan_ref}/collateral-agreements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "collateral_agreement_ref": "<string>",
  "assets": [
    {
      "asset_ref": "<string>",
      "quantity": 123
    }
  ],
  "custody_partner_code": "<string>",
  "consent_timestamp": "2023-11-07T05:31:56Z",
  "agreement_reference": "<string>",
  "loan_principal_amount": 123,
  "principal_currency": "<string>",
  "origination_price": 123,
  "origination_price_timestamp": "2023-11-07T05:31:56Z",
  "initial_ltv": 123,
  "liquidation_ltv_threshold": 123,
  "reuse_permission_flag": false,
  "enforcement_permissions": {},
  "contract_terms": {},
  "idempotency_key": "<string>"
}
'
{
  "collateral_agreement_ref": "<string>",
  "loan_ref": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

loan_ref
string
required

Loan reference

Body

application/json

Collateral Agreement Create Request schema.

collateral_agreement_ref
string
required

Collateral agreement reference

Minimum string length: 1
assets
CollateralAgreementAssetRequest · object[]
required

Assets pledged in this agreement

custody_partner_code
string
required

Custody partner/provider code

Timestamp when borrower consented to terms

agreement_reference
string | null

Optional agreement reference

loan_principal_amount

Loan principal amount at origination

principal_currency
string | null

ISO currency code of principal amount

origination_price

Asset price used at origination

origination_price_timestamp
string<date-time> | null

Timestamp of origination price

initial_ltv

Initial loan-to-value ratio

liquidation_ltv_threshold

LTV threshold for liquidation

reuse_permission_flag
boolean | null
default:false

Whether collateral reuse is permitted

enforcement_permissions
Enforcement Permissions · object

Enforcement permission flags

contract_terms
Contract Terms · object

Additional contract terms

idempotency_key
string | null

Optional idempotency key

Response

Collateral agreement recorded

Collateral Agreement Create Response schema.

collateral_agreement_ref
string | null

Collateral agreement reference

loan_ref
string | null

Loan reference

created_at
string<date-time> | null

Creation timestamp